Draft WireToBSpline/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/it|Name=Draft_WireToBSpline|Name/it=Wire in Spline|Workbenches=Draft, Architettura|MenuLocation=Draft → Wire in Spline}}")
(Created page with "==Descrizione==")
Line 1: Line 1:
{{GuiCommand/it|Name=Draft_WireToBSpline|Name/it=Wire in Spline|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Wire in Spline}}
{{GuiCommand/it|Name=Draft_WireToBSpline|Name/it=Wire in Spline|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Wire in Spline}}


==Description==
==Descrizione==


This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.
This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.

Revision as of 15:56, 14 February 2014

Wire in Spline

Posizione nel menu
Draft → Wire in Spline
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)